| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
IgHookTrace::CounterValue Class Reference

Value for a counter chained from a trace. More...

`#include <src/component/IgHook_IgHookTrace.h>`

Collaboration diagram for IgHookTrace::CounterValue:
[legend]

## Public Member Functions
void * | operator new (size_t n, IgHookTraceAlloc *alloc=0)
| CounterValue (Counter *counter, CounterValue *next=0, unsigned long long value=0)
Counter * | counter (void)
CounterValue * | next (void)
unsigned long long | count (void)
unsigned long long | value (void)
unsigned long long | tick (void)
unsigned long long | untick (void)
unsigned long long | add (unsigned long long value)
unsigned long long | add (CounterValue &x)
unsigned long long | sub (unsigned long long value)
unsigned long long | sub (CounterValue &x)
unsigned long long | max (unsigned long long value)
unsigned long long | max (CounterValue &x)

## Private Attributes
Counter * | m_counter
CounterValue * | m_next
unsigned long long | m_value
unsigned long long | m_count

## Detailed Description

Value for a counter chained from a trace.

Definition at line 35 of file IgHook_IgHookTrace.h.

## Constructor & Destructor Documentation

## ◆ CounterValue()

IgHookTrace::CounterValue::CounterValue | ( | Counter * | counter,
|  | CounterValue * | next = `0`,
|  | unsigned long long | value = `0`
| ) |  |

Definition at line 133 of file IgHook_IgHookTrace.cpp.

135 : m_counter( counter ), m_next( next ), m_value( value ), m_count( 0 ) {}
IgHookTrace::CounterValue::next
CounterValue * next(void)
Definition: IgHook_IgHookTrace.cpp:139
IgHookTrace::CounterValue::m_next
CounterValue * m_next
Definition: IgHook_IgHookTrace.h:60
IgHookTrace::CounterValue::m_counter
Counter * m_counter
Definition: IgHook_IgHookTrace.h:59
IgHookTrace::CounterValue::counter
Counter * counter(void)
Definition: IgHook_IgHookTrace.cpp:137
IgHookTrace::CounterValue::value
unsigned long long value(void)
Definition: IgHook_IgHookTrace.cpp:141
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## Member Function Documentation

## ◆ add() [1/2]

unsigned long long IgHookTrace::CounterValue::add | ( | unsigned long long | value | ) |

Definition at line 155 of file IgHook_IgHookTrace.cpp.

155 {
156 ++m_count;
157 return m_value += value;
158 }
IgHookTrace::CounterValue::value
unsigned long long value(void)
Definition: IgHook_IgHookTrace.cpp:141
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ add() [2/2]

unsigned long long IgHookTrace::CounterValue::add | ( | CounterValue & | x | ) |

Definition at line 171 of file IgHook_IgHookTrace.cpp.

171 {
172 m_count += x.m_count;
173 m_value += x.m_value;
174 return m_value;
175 }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ count()

unsigned long long IgHookTrace::CounterValue::count | ( | void |  | ) |

Definition at line 143 of file IgHook_IgHookTrace.cpp.

143 { return m_count; }
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ counter()

IgHookTrace::Counter * IgHookTrace::CounterValue::counter | ( | void |  | ) |

Definition at line 137 of file IgHook_IgHookTrace.cpp.

137 { return m_counter; }
IgHookTrace::CounterValue::m_counter
Counter * m_counter
Definition: IgHook_IgHookTrace.h:59

## ◆ max() [1/2]

unsigned long long IgHookTrace::CounterValue::max | ( | unsigned long long | value | ) |

Definition at line 165 of file IgHook_IgHookTrace.cpp.

165 {
166 ++m_count;
167 if ( m_value < value ) m_value = value;
168 return m_value;
169 }
IgHookTrace::CounterValue::value
unsigned long long value(void)
Definition: IgHook_IgHookTrace.cpp:141
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ max() [2/2]

unsigned long long IgHookTrace::CounterValue::max | ( | CounterValue & | x | ) |

Definition at line 183 of file IgHook_IgHookTrace.cpp.

183 {
184 m_count += x.m_count;
185 if ( m_value < x.m_value ) m_value = x.m_value;
186 return m_value;
187 }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ next()

IgHookTrace::CounterValue * IgHookTrace::CounterValue::next | ( | void |  | ) |

Definition at line 139 of file IgHook_IgHookTrace.cpp.

139 { return m_next; }
IgHookTrace::CounterValue::m_next
CounterValue * m_next
Definition: IgHook_IgHookTrace.h:60

## ◆ operator new()

void * IgHookTrace::CounterValue::operator new | ( | size_t | n,
|  | IgHookTraceAlloc * | alloc = `0`
| ) |  |

Definition at line 129 of file IgHook_IgHookTrace.cpp.

129 {
130 return alloc ? alloc->allocate( n ) : ::operator new( n );
131 }
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:210
IgHookTraceAlloc::allocate
void * allocate(size_t bytes)
Definition: IgHook_IgHookTrace.cpp:101

## ◆ sub() [1/2]

unsigned long long IgHookTrace::CounterValue::sub | ( | unsigned long long | value | ) |

Definition at line 160 of file IgHook_IgHookTrace.cpp.

160 {
161 --m_count;
162 return m_value -= value;
163 }
IgHookTrace::CounterValue::value
unsigned long long value(void)
Definition: IgHook_IgHookTrace.cpp:141
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ sub() [2/2]

unsigned long long IgHookTrace::CounterValue::sub | ( | CounterValue & | x | ) |

Definition at line 177 of file IgHook_IgHookTrace.cpp.

177 {
178 m_count -= x.m_count;
179 m_value -= x.m_value;
180 return m_value;
181 }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ tick()

unsigned long long IgHookTrace::CounterValue::tick | ( | void |  | ) |

Definition at line 145 of file IgHook_IgHookTrace.cpp.

145 {
146 ++m_count;
147 return ++m_value;
148 }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ untick()

unsigned long long IgHookTrace::CounterValue::untick | ( | void |  | ) |

Definition at line 150 of file IgHook_IgHookTrace.cpp.

150 {
151 --m_count;
152 return --m_value;
153 }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61
IgHookTrace::CounterValue::m_count
unsigned long long m_count
Definition: IgHook_IgHookTrace.h:62

## ◆ value()

unsigned long long IgHookTrace::CounterValue::value | ( | void |  | ) |

Definition at line 141 of file IgHook_IgHookTrace.cpp.

141 { return m_value; }
IgHookTrace::CounterValue::m_value
unsigned long long m_value
Definition: IgHook_IgHookTrace.h:61

## Member Data Documentation

## ◆ m_count

unsigned long long IgHookTrace::CounterValue::m_count
| private

Definition at line 62 of file IgHook_IgHookTrace.h.

## ◆ m_counter

Counter* IgHookTrace::CounterValue::m_counter
| private

Definition at line 59 of file IgHook_IgHookTrace.h.

## ◆ m_next

CounterValue* IgHookTrace::CounterValue::m_next
| private

Definition at line 60 of file IgHook_IgHookTrace.h.

## ◆ m_value

unsigned long long IgHookTrace::CounterValue::m_value
| private

Definition at line 61 of file IgHook_IgHookTrace.h.

The documentation for this class was generated from the following files:

- GaudiProfiling/src/component/IgHook_IgHookTrace.h
- GaudiProfiling/src/component/IgHook_IgHookTrace.cpp